(Incoming) Add - mobile app

This event is sent to your server when a player try to add a contact from the mobile application.

WebSocket event

Event name: contacts@add

⚠️ Response required / expires after 60 seconds

Event data received

KeyTypeDescription
custom_idstringUnique identifier from your services (1-64 characters)
contactIncomingContactPayloadContact payload

Expected WebSocket response

You need to emit an event with the following name and data:

Response event name: contacts@add/response

Response object

KeyTypeExtraDescription
custom_idstring
required
Unique identifier from your services (1-64 characters)
contactContact
required
contact object

Important

Response object must respect every type rule. If any structure isn't respected, your request will be rejected for "bad-request".

Response example

I received a request for the following custom_id = 1234

My response will be:

{
  "custom_id": "1234",
  "contact": {
    "uid": "8756",
    "displayName": "Hank",
    "number": "555-6671"
  }
}

Response error

You must notify iPear if the data does not comply with your verification processes. Response Error event name: contacts@add/error

Parameters

KeyTypeExtraDescription
custom_idstring
required
Unique identifier from your services (1-64 characters)
contactContact
required
contact object (incoming data)
errorstring (Error list)
required
Available errors for this case: player-not-found, contact-already-exist, unknown

Example

My player with the following ID: 1234 already has contact details with the number 555-6671

{
  "custom_id": "1234",
  "error": "contact-already-exist",
  "contact": {
    "displayName": "Hank",
    "number": "555-6671"
  }
}

What's next?

Incoming events

Outgoing events

Powered by Doctave